Page MenuHomePhabricator

Remove hyperlinks from the CSV export
Closed, ResolvedPublic1 Story Points

Description

(From the user feedback interview.)

It doesn't show up cleanly in Numbers or LibreOffice. We should export all the csv values as plain strings.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2018, 12:14 AM

I just checked, and it looks like the HYPERLINK usage is broken entirely. Would working hyperlinks be at all desirable? Or do they just prefer raw URLs?

I just checked, and it looks like the HYPERLINK usage is broken entirely. Would working hyperlinks be at all desirable? Or do they just prefer raw URLs?

In the CSV or on the view data page?

CSV, using the HYPERLINK function. I did that because the URLs can be long, and presumably we aren't doing any running any other functions on the links themselves.

CSV, using the HYPERLINK function. I did that because the URLs can be long, and presumably we aren't doing any running any other functions on the links themselves.

Yeah, let's drop that. Raw URLs are fine.

Niharika set the point value for this task to 1.Mar 20 2018, 11:07 PM
MusikAnimal moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Commit: https://github.com/wikimedia/grantmetrics/commit/49c9d2d3ae9aca9a9ed677c3255e8ca2653e122a

I'm only including the URL to the diff. From that you can get to the page and user, so probably don't need to include any additional URLs.

Niharika closed this task as Resolved.Mar 26 2018, 6:02 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Works great.

MusikAnimal moved this task from Backlog to Done on the Grant-Metrics board.Mar 28 2018, 9:50 PM